JcaX509ContentVerifierProviderBuilder (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.cert.jcajce

## Class JcaX509ContentVerifierProviderBuilder

- java.lang.Object
- - org.bouncycastle.cert.jcajce.JcaX509ContentVerifierProviderBuilder

- All Implemented Interfaces:
    X509ContentVerifierProviderBuilder

      public class JcaX509ContentVerifierProviderBuilder
      extends java.lang.Object
      implements X509ContentVerifierProviderBuilder

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JcaX509ContentVerifierProviderBuilder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ContentVerifierProvider` | `build(org.bouncycastle.asn1.x509.SubjectPublicKeyInfo validatingKeyInfo)`
    `ContentVerifierProvider` | `build(X509CertificateHolder validatingKeyInfo)`
    `JcaX509ContentVerifierProviderBuilder` | `setProvider(java.security.Provider provider)`
    `JcaX509ContentVerifierProviderBuilder` | `setProvider(java.lang.String providerName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JcaX509ContentVerifierProviderBuilder

          public JcaX509ContentVerifierProviderBuilder()

  - ### Method Detail

    - #### setProvider

          public JcaX509ContentVerifierProviderBuilder setProvider(java.security.Provider provider)

    - #### setProvider

          public JcaX509ContentVerifierProviderBuilder setProvider(java.lang.String providerName)

    - #### build

          public ContentVerifierProvider build(org.bouncycastle.asn1.x509.SubjectPublicKeyInfo validatingKeyInfo)
                                        throws OperatorCreationException

      Specified by:
        `build` in interface `X509ContentVerifierProviderBuilder`
      Throws:
        `OperatorCreationException`

    - #### build

          public ContentVerifierProvider build(X509CertificateHolder validatingKeyInfo)
                                        throws OperatorCreationException

      Specified by:
        `build` in interface `X509ContentVerifierProviderBuilder`
      Throws:
        `OperatorCreationException`